var _url = ((location.protocol==="https:") ? "wss://" : "ws://") + ((location.hostname === "") ? '127.0.0.1' : location.hostname) + ":" + ((location.port === "") ? '9000' : location.port);
var _ws;
var _connected = false;
var _startTime = 0;
/**
 * ʼwebSocket
 */
function ConnectServer(callback, value) {
    if ('WebSocket' in window) {
        _ws = new WebSocket(_url);
    } else if (window.WebSocket) {
        _ws = new WebSocket(_url);
    } else if ('MozWebSocket' in window) {
        _ws = new MozWebSocket(_url);
    } else {
        alert(Lang.WS.lowVer);
    }
    _ws.onopen = function () {
        _connected = true;
        callback(value);
    }
    _ws.onclose = function (e) {
        _connected = false;
    }
    _ws.onmessage = function (e) {
        if (typeof e.data === "string") {
            onTxtMessage(e.data);
        } else {
            onBinMessage(e);
        }
    }
    _ws.onerror = function (e) {
        alert(Lang.WS.disConn)
    };
}

/**
 * Ϣ
 */
function SendJson(json) {
    _connected ? _ws.send(JSON.stringify(json)) : ConnectServer(SendJson, json)
}

/**
 * Ϣ
 */
function onBinMessage(e) {
    console.log('onBinMessage', e);
}

/**
 * յķıϢ
 */
function onTxtMessage(msg) {
    var jsonObj = JSON.parse(msg);
    if (jsonObj.result != 0 && jsonObj.result != 9) {
        // result=0ʾִгɹ,ֵʾ쳣9ʾ豸ʹУͷʱ쳣
        console.log(jsonObj.func, jsonObj.errorMsg);
        message.run(jsonObj.func + "\t" + jsonObj.errorMsg,"warning",1700);
        //alert(jsonObj.func + "\r\n" + jsonObj.errorMsg);
    } else {
        switch (jsonObj.func) {
            case "OcrConvert2Txt":
                DisplayResult(jsonObj);
                break;

            default:
                console.log(msg);
                break;
        }
    }
}

function OcrConvertFile() {
    $("#outFilePath").val("");
    document.getElementById("ifmOutFile").src = "";
    var srcPath = $("#inFilePath").val();
    var cmd = {func: "OcrConvert2Txt", reqId: new Date().getTime(), language: "Simplified chinese+English",
               detectTextOrientation: true, filePath: srcPath};
    SendJson(cmd);
    _startTime = new Date().getTime();
    displayOutputInfo(1, 'ļʶת(PDFļʶЩ)ĵȴ...');
}

function DisplayResult(v) {
    if (v.result == 0) {
        var now = new Date().getTime();
        var usedSecond = (now - _startTime) / 1000;
        var outPath = v.outTxtPaths[0];
        $("#outFilePath").val(outPath);
        displayOutputInfo(2, "ʶתĵɹ, ʱ" + usedSecond + ".");

        if (location.protocol.substr(0,4) == 'http') {
            var pos = outPath.lastIndexOf('\\');
            pos = outPath.lastIndexOf('\\', pos - 1);
            var url = location.origin + '/tmp/' + outPath.substr(pos + 1).replace('\\', '/');
            document.getElementById("ifmOutFile").src = url;
        }
    } else {
        displayOutputInfo(3, "ʶתĵʧ" + "<br>" + v.errorMsg);
    }
}

function displayOutputInfo(disp, s, add) {
    if (disp > 0 && disp < 4) {
        var ary = ["info", "success", "warning"];
        var h = "<b>" + s + "</b>";
        if (add) {
            var h0 = $('#outInfo').html();
            if (h0.length > 0) {
                h = h0 + "<br>" + h;
            }
        }
        $('#outInfo').css("display", "").attr("class", "col-md-12 alert alert-" + ary[disp - 1]).html(h);
    } else {
        $('#outInfo').css("display", "none").html("");
    }
}

//ʼϢ
$(function () {
})
